#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: sanitize 4.6.6 ruby lib

Gem::Specification.new do |s|
  s.name = "sanitize".freeze
  s.version = "4.6.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.2.0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ryan Grove".freeze]
  s.date = "2018-07-24"
  s.description = "Sanitize is a whitelist-based HTML and CSS sanitizer. Given a list of acceptable elements, attributes, and CSS properties, Sanitize will remove all unacceptable HTML and/or CSS from a string.".freeze
  s.email = "ryan@wonko.com".freeze
  s.files = ["HISTORY.md".freeze, "LICENSE".freeze, "README.md".freeze, "lib/sanitize.rb".freeze, "lib/sanitize/config.rb".freeze, "lib/sanitize/config/basic.rb".freeze, "lib/sanitize/config/default.rb".freeze, "lib/sanitize/config/relaxed.rb".freeze, "lib/sanitize/config/restricted.rb".freeze, "lib/sanitize/css.rb".freeze, "lib/sanitize/transformers/clean_cdata.rb".freeze, "lib/sanitize/transformers/clean_comment.rb".freeze, "lib/sanitize/transformers/clean_css.rb".freeze, "lib/sanitize/transformers/clean_doctype.rb".freeze, "lib/sanitize/transformers/clean_element.rb".freeze, "lib/sanitize/version.rb".freeze, "test/common.rb".freeze, "test/test_clean_comment.rb".freeze, "test/test_clean_css.rb".freeze, "test/test_clean_doctype.rb".freeze, "test/test_clean_element.rb".freeze, "test/test_config.rb".freeze, "test/test_malicious_css.rb".freeze, "test/test_malicious_html.rb".freeze, "test/test_parser.rb".freeze, "test/test_sanitize.rb".freeze, "test/test_sanitize_css.rb".freeze, "test/test_transformers.rb".freeze, "test/test_unicode.rb".freeze]
  s.homepage = "https://github.com/rgrove/sanitize/".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2".freeze)
  s.rubygems_version = "2.5.2.1".freeze
  s.summary = "Whitelist-based HTML and CSS sanitizer.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<crass>.freeze, ["~> 1.0.2"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 5.10.2"])
      s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.4.4"])
      s.add_runtime_dependency(%q<nokogumbo>.freeze, ["~> 1.4"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 12.0.0"])
    else
      s.add_dependency(%q<crass>.freeze, ["~> 1.0.2"])
      s.add_dependency(%q<minitest>.freeze, ["~> 5.10.2"])
      s.add_dependency(%q<nokogiri>.freeze, [">= 1.4.4"])
      s.add_dependency(%q<nokogumbo>.freeze, ["~> 1.4"])
      s.add_dependency(%q<rake>.freeze, ["~> 12.0.0"])
    end
  else
    s.add_dependency(%q<crass>.freeze, ["~> 1.0.2"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.10.2"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.4.4"])
    s.add_dependency(%q<nokogumbo>.freeze, ["~> 1.4"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0.0"])
  end
end
